Debian Bug report logs - #598957
checkarray: I: selecting idle I/O scheduling class for resync of md0

version graph

Package: mdadm; Maintainer for mdadm is Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>; Source for mdadm is src:mdadm.

Reported by: christian@hofstaedtler.name

Date: Sun, 3 Oct 2010 13:21:02 UTC

Severity: important

Merged with 602800, 620734

Found in version mdadm/3.1.4-1+8efb9d1

Fixed in version mdadm/3.2.2-1

Done: madduck@debian.org (martin f. krafft)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Sun, 03 Oct 2010 13:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to christian@hofstaedtler.name:
New Bug report received and forwarded. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sun, 03 Oct 2010 13:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: christian@hofstaedtler.name
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: checkarray: I: selecting idle I/O scheduling class for resync of md0
Date: Sun, 03 Oct 2010 12:51:13 +0000
Package: mdadm
Version: 3.1.4-1+8efb9d1
Severity: important

Hi,

the checkarray cronjob mailed me these lines:

checkarray: I: selecting idle I/O scheduling class for resync of md0.
checkarray: I: selecting idle I/O scheduling class for resync of md1.

I believe that this is "normal", so this really shouldn't be mailed to me.

Thanks,
Christian

-- Package-specific info:
--- mdadm.conf
DEVICE partitions
CREATE owner=root group=disk mode=0660 auto=yes
HOMEHOST <system>
MAILADDR root
ARRAY /dev/md0 level=raid1 num-devices=2 UUID=118569ed:a46febfd:c3947ef7:d586f709
ARRAY /dev/md1 level=raid1 num-devices=2 UUID=67d3c03f:b651dbd5:c3947ef7:d586f709

--- /etc/default/mdadm
INITRDSTART='all'
AUTOSTART=true
AUTOCHECK=true
START_DAEMON=true
DAEMON_OPTIONS="--syslog"
VERBOSE=false

--- /proc/mdstat:
Personalities : [raid1] 
md1 : active raid1 sda2[0] sdb2[1]
      961136704 blocks [2/2] [UU]
      
md0 : active raid1 sda1[0] sdb1[1]
      15623104 blocks [2/2] [UU]
      
unused devices: <none>

--- /proc/partitions:
major minor  #blocks  name

   8        0  976762584 sda
   8        1   15623181 sda1
   8        2  961136820 sda2
   8       16  976762584 sdb
   8       17   15623181 sdb1
   8       18  961136820 sdb2
   9        0   15623104 md0
   9        1  961136704 md1

--- LVM physical volumes:
LVM does not seem to be used.
--- mount output
/dev/md0 on / type ext3 (rw,noatime,errors=remount-ro)
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=0755)
proc on /proc type proc (rw,noexec,nosuid,nodev)
sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
udev on /dev type tmpfs (rw,mode=0755)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=620)
/dev/md1 on /data type ext3 (rw,noatime,user_xattr)
rpc_pipefs on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
nfsd on /proc/fs/nfsd type nfsd (rw)

--- initrd.img-2.6.32-3-686:
41165 blocks
44c71c8470a3598b85bc7f3303a5425f  ./etc/mdadm/mdadm.conf
48e243e5250d470dc4dd46ff8201258e  ./lib/modules/2.6.32-3-686/kernel/drivers/md/dm-mod.ko
01f4d7f10376c1276df57db0a6ecc991  ./lib/modules/2.6.32-3-686/kernel/drivers/md/md-mod.ko
99affae75509564de7cb08b81ff6d845  ./lib/modules/2.6.32-3-686/kernel/drivers/md/raid6_pq.ko
677c38cbd20825ba47e66a87c3c2c744  ./lib/modules/2.6.32-3-686/kernel/drivers/md/raid456.ko
154829bacda0f73d2da34ced483af174  ./lib/modules/2.6.32-3-686/kernel/drivers/md/multipath.ko
cf92ffc27158ef5fa7a38f8b5fb9106a  ./lib/modules/2.6.32-3-686/kernel/drivers/md/raid10.ko
b60aa724deeb02336f5b243475f0f156  ./lib/modules/2.6.32-3-686/kernel/drivers/md/raid1.ko
5256bb5b54f7137e59f3aecea46be308  ./lib/modules/2.6.32-3-686/kernel/drivers/md/raid0.ko
be27e4326a35eeaf09f0a7c8a9c72bf8  ./lib/modules/2.6.32-3-686/kernel/drivers/md/linear.ko
ee6eabe5fb44714ca6be61409a762103  ./sbin/mdadm
f4fbd9099399ab08ba9b9f6c71d77595  ./scripts/local-top/mdadm

--- initrd's /conf/conf.d/md:
MD_HOMEHOST='slick'
MD_DEVPAIRS='/dev/md0:raid1 /dev/md1:raid1'
MD_LEVELS='raid1 raid1'
MD_DEVS=all
MD_MODULES='raid1'

--- /proc/modules:
raid1 16099 2 - Live 0xf7ea9000
md_mod 67165 3 raid1, Live 0xf7e85000

--- /var/log/syslog:

--- volume detail:
/dev/sda is not recognised by mdadm.
/dev/sda1:
          Magic : a92b4efc
        Version : 0.90.00
           UUID : 118569ed:a46febfd:c3947ef7:d586f709 (local to host slick)
  Creation Time : Mon Aug 10 18:21:31 2009
     Raid Level : raid1
  Used Dev Size : 15623104 (14.90 GiB 16.00 GB)
     Array Size : 15623104 (14.90 GiB 16.00 GB)
   Raid Devices : 2
  Total Devices : 2
Preferred Minor : 0

    Update Time : Sun Oct  3 12:41:51 2010
          State : clean
 Active Devices : 2
Working Devices : 2
 Failed Devices : 0
  Spare Devices : 0
       Checksum : 906ea638 - correct
         Events : 893913


      Number   Major   Minor   RaidDevice State
this     0       8        1        0      active sync   /dev/sda1

   0     0       8        1        0      active sync   /dev/sda1
   1     1       8       17        1      active sync   /dev/sdb1
--
/dev/sda2:
          Magic : a92b4efc
        Version : 0.90.00
           UUID : 67d3c03f:b651dbd5:c3947ef7:d586f709 (local to host slick)
  Creation Time : Mon Aug 10 18:21:39 2009
     Raid Level : raid1
  Used Dev Size : 961136704 (916.61 GiB 984.20 GB)
     Array Size : 961136704 (916.61 GiB 984.20 GB)
   Raid Devices : 2
  Total Devices : 2
Preferred Minor : 1

    Update Time : Sun Oct  3 12:41:09 2010
          State : clean
 Active Devices : 2
Working Devices : 2
 Failed Devices : 0
  Spare Devices : 0
       Checksum : 30e462cf - correct
         Events : 175326


      Number   Major   Minor   RaidDevice State
this     0       8        2        0      active sync   /dev/sda2

   0     0       8        2        0      active sync   /dev/sda2
   1     1       8       18        1      active sync   /dev/sdb2
--
/dev/sdb is not recognised by mdadm.
/dev/sdb1:
          Magic : a92b4efc
        Version : 0.90.00
           UUID : 118569ed:a46febfd:c3947ef7:d586f709 (local to host slick)
  Creation Time : Mon Aug 10 18:21:31 2009
     Raid Level : raid1
  Used Dev Size : 15623104 (14.90 GiB 16.00 GB)
     Array Size : 15623104 (14.90 GiB 16.00 GB)
   Raid Devices : 2
  Total Devices : 2
Preferred Minor : 0

    Update Time : Sun Oct  3 12:41:51 2010
          State : clean
 Active Devices : 2
Working Devices : 2
 Failed Devices : 0
  Spare Devices : 0
       Checksum : 906ea64a - correct
         Events : 893913


      Number   Major   Minor   RaidDevice State
this     1       8       17        1      active sync   /dev/sdb1

   0     0       8        1        0      active sync   /dev/sda1
   1     1       8       17        1      active sync   /dev/sdb1
--
/dev/sdb2:
          Magic : a92b4efc
        Version : 0.90.00
           UUID : 67d3c03f:b651dbd5:c3947ef7:d586f709 (local to host slick)
  Creation Time : Mon Aug 10 18:21:39 2009
     Raid Level : raid1
  Used Dev Size : 961136704 (916.61 GiB 984.20 GB)
     Array Size : 961136704 (916.61 GiB 984.20 GB)
   Raid Devices : 2
  Total Devices : 2
Preferred Minor : 1

    Update Time : Sun Oct  3 12:41:09 2010
          State : clean
 Active Devices : 2
Working Devices : 2
 Failed Devices : 0
  Spare Devices : 0
       Checksum : 30e462e1 - correct
         Events : 175326


      Number   Major   Minor   RaidDevice State
this     1       8       18        1      active sync   /dev/sdb2

   0     0       8        2        0      active sync   /dev/sda2
   1     1       8       18        1      active sync   /dev/sdb2
--

--- /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-2.6.32-3-686 root=UUID=e43e86f8-883a-4a36-a173-8edc06876081 ro quiet

--- grub2:
insmod raid
set root='(md0)'
insmod raid
set root='(md0)'
	insmod raid
	set root='(md0)'
	linux	/boot/vmlinuz-2.6.32-3-686 root=UUID=e43e86f8-883a-4a36-a173-8edc06876081 ro  quiet
	insmod raid
	set root='(md0)'
	linux	/boot/vmlinuz-2.6.32-3-686 root=UUID=e43e86f8-883a-4a36-a173-8edc06876081 ro single 

--- grub legacy:
kernel		/boot/vmlinuz-2.6.32-bpo.3-686 root=/dev/md0 ro vga=791 
kernel		/boot/vmlinuz-2.6.32-bpo.3-686 root=/dev/md0 ro vga=791 single
kernel		/boot/vmlinuz-2.6.26-2-686 root=/dev/md0 ro vga=791 
kernel		/boot/vmlinuz-2.6.26-2-686 root=/dev/md0 ro vga=791 single

--- udev:
ii  udev           160-1          /dev/ and hotplug management daemon
4a574fcd059040d33ea18a8aa605a184  /lib/udev/rules.d/64-md-raid.rules

--- /dev:
brw-rw---- 1 root disk 9, 0 Sep 20 16:26 /dev/md0
brw-rw---- 1 root disk 9, 1 Sep 20 16:26 /dev/md1

/dev/disk/by-id:
total 0
lrwxrwxrwx 1 root root  9 Sep  5 06:53 ata-WDC_WD1002FBYS-02A6B0_WD-WMATV2296843 -> ../../sda
lrwxrwxrwx 1 root root 10 Aug  9 16:48 ata-WDC_WD1002FBYS-02A6B0_WD-WMATV2296843-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Aug  9 16:48 ata-WDC_WD1002FBYS-02A6B0_WD-WMATV2296843-part2 -> ../../sda2
lrwxrwxrwx 1 root root  9 Sep  5 06:53 ata-WDC_WD1002FBYS-02A6B0_WD-WMATV2385200 -> ../../sdb
lrwxrwxrwx 1 root root 10 Aug  9 16:48 ata-WDC_WD1002FBYS-02A6B0_WD-WMATV2385200-part1 -> ../../sdb1
lrwxrwxrwx 1 root root 10 Aug  9 16:48 ata-WDC_WD1002FBYS-02A6B0_WD-WMATV2385200-part2 -> ../../sdb2
lrwxrwxrwx 1 root root  9 Sep 20 16:26 md-uuid-118569ed:a46febfd:c3947ef7:d586f709 -> ../../md0
lrwxrwxrwx 1 root root  9 Sep 20 16:26 md-uuid-67d3c03f:b651dbd5:c3947ef7:d586f709 -> ../../md1
lrwxrwxrwx 1 root root  9 Sep  5 06:53 scsi-SATA_WDC_WD1002FBYS-_WD-WMATV2296843 -> ../../sda
lrwxrwxrwx 1 root root 10 Aug  9 16:48 scsi-SATA_WDC_WD1002FBYS-_WD-WMATV2296843-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Aug  9 16:48 scsi-SATA_WDC_WD1002FBYS-_WD-WMATV2296843-part2 -> ../../sda2
lrwxrwxrwx 1 root root  9 Sep  5 06:53 scsi-SATA_WDC_WD1002FBYS-_WD-WMATV2385200 -> ../../sdb
lrwxrwxrwx 1 root root 10 Aug  9 16:48 scsi-SATA_WDC_WD1002FBYS-_WD-WMATV2385200-part1 -> ../../sdb1
lrwxrwxrwx 1 root root 10 Aug  9 16:48 scsi-SATA_WDC_WD1002FBYS-_WD-WMATV2385200-part2 -> ../../sdb2
lrwxrwxrwx 1 root root  9 Sep  5 06:53 wwn-0x50014ee0016992bf -> ../../sdb
lrwxrwxrwx 1 root root 10 Aug  9 16:48 wwn-0x50014ee0016992bf-part1 -> ../../sdb1
lrwxrwxrwx 1 root root 10 Aug  9 16:48 wwn-0x50014ee0016992bf-part2 -> ../../sdb2
lrwxrwxrwx 1 root root  9 Sep  5 06:53 wwn-0x50014ee056becbc3 -> ../../sda
lrwxrwxrwx 1 root root 10 Aug  9 16:48 wwn-0x50014ee056becbc3-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Aug  9 16:48 wwn-0x50014ee056becbc3-part2 -> ../../sda2

/dev/disk/by-path:
total 0
lrwxrwxrwx 1 root root  9 Sep  5 06:53 pci-0000:00:0b.0-scsi-0:0:0:0 -> ../../sda
lrwxrwxrwx 1 root root 10 Aug  9 16:48 pci-0000:00:0b.0-scsi-0:0:0:0-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Aug  9 16:48 pci-0000:00:0b.0-scsi-0:0:0:0-part2 -> ../../sda2
lrwxrwxrwx 1 root root  9 Sep  5 06:53 pci-0000:00:0b.0-scsi-1:0:0:0 -> ../../sdb
lrwxrwxrwx 1 root root 10 Aug  9 16:48 pci-0000:00:0b.0-scsi-1:0:0:0-part1 -> ../../sdb1
lrwxrwxrwx 1 root root 10 Aug  9 16:48 pci-0000:00:0b.0-scsi-1:0:0:0-part2 -> ../../sdb2

/dev/disk/by-uuid:
total 0
lrwxrwxrwx 1 root root 9 Sep 20 16:26 1e911479-c216-4688-bd80-41921327d02f -> ../../md1
lrwxrwxrwx 1 root root 9 Sep 20 16:26 e43e86f8-883a-4a36-a173-8edc06876081 -> ../../md0

/dev/md:
total 0

Auto-generated on Sun, 03 Oct 2010 12:41:53 +0000
by mdadm bugscript 3.1.4-1+8efb9d1

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mdadm depends on:
ii  debconf                       1.5.35     Debian configuration management sy
ii  libc6                         2.11.2-6   Embedded GNU C Library: Shared lib
ii  lsb-base                      3.2-23.1   Linux Standard Base 3.2 init scrip
ii  makedev                       2.3.1-89   creates device files in /dev
ii  udev                          160-1      /dev/ and hotplug management daemo

Versions of packages mdadm recommends:
ii  exim4-daemon-light [mail-tran 4.72-1     lightweight Exim MTA (v4) daemon
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

mdadm suggests no packages.

-- debconf information:
  mdadm/initrdstart_msg_errexist:
  mdadm/initrdstart_msg_intro:
  mdadm/autostart: true
* mdadm/autocheck: true
  mdadm/initrdstart_msg_errblock:
* mdadm/mail_to: root
  mdadm/initrdstart_msg_errmd:
* mdadm/initrdstart: all
  mdadm/initrdstart_msg_errconf:
  mdadm/initrdstart_notinconf: false
* mdadm/start_daemon: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Mon, 04 Oct 2010 15:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Mon, 04 Oct 2010 15:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 598957@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: christian@hofstaedtler.name
Cc: 598957@bugs.debian.org
Subject: Re: checkarray: I: selecting idle I/O scheduling class for resync of md0
Date: Mon, 04 Oct 2010 17:08:38 +0200
[Message part 1 (text/plain, inline)]
tags 598957 pending
thanks

This seems to be fixed in git:

http://git.debian.org/?p=pkg-mdadm/mdadm.git;a=commit;h=0b80e69a2a980be27d30536099b69e76688ba7cc

Best regards

Alexander Kurtz
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Mon, 04 Oct 2010 15:12:06 GMT) Full text and rfc822 format available.

Forcibly Merged 598957 602800. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Mon, 08 Nov 2010 09:48:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Tue, 21 Dec 2010 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Hinzmann <fh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Tue, 21 Dec 2010 08:18:03 GMT) Full text and rfc822 format available.

Message #19 received at 598957@bugs.debian.org (full text, mbox):

From: Florian Hinzmann <fh@debian.org>
To: 598957@bugs.debian.org
Subject: Want to make output of informational message depend on "--cron"?
Date: Tue, 21 Dec 2010 08:42:26 +0100
This message did not make it to the bug tracking system. Trying
again.
 --Florian Hinzmann

Begin forwarded message:

Date: Thu, 9 Dec 2010 15:47:23 +0100
From: Florian Hinzmann <mail@fhinzmann.de>
To: 598957@bugs.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Subject: Want to make output of informational message depend on "--cron"?


Hello!


I'd like to make a suggestion for consideration:

http://git.debian.org/?p=pkg-mdadm/mdadm.git;a=blobdiff;f=debian/checkarray;h=dafc652930cab7ab19d3e148d81fbbe3527002cf;hp=bd15ad5fe2538b488e7c1dd666fcf6d95eed8597;hb=0b80e69a2a980be27d30536099b69e76688ba7cc;hpb=1e484e02b5c31afb1cd19f12ded5f49a0ccff794
lists the following as a fix to make checkarray silent when
run by the default cron job:

--- a/debian/checkarray
+++ b/debian/checkarray
@@ -193,7 +193,9 @@ for array in $arrays; do
         wait=$((wait - 1))
         resync_pid=$(ps -ef | awk -v dev=$array 'BEGIN { pattern = "^\\[" dev "_resync]$" } $8 ~ pattern { print $2 }')
         if [ -n "$resync_pid" ]; then
-          echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync of $array." >&2
+          if [ $cron != 1 ]; then
+            echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync of $array." >&2
+          fi
           ionice -p "$resync_pid" $arg
           break
         fi


My own fix was this:

root@marvin:~# diff -u /usr/share/mdadm/checkarray.20101209.dist.not-quiet /usr/share/mdadm/checkarray
--- /usr/share/mdadm/checkarray.20101209.dist.not-quiet	2010-09-03 11:11:00.000000000 +0200
+++ /usr/share/mdadm/checkarray	2010-12-09 15:29:38.000000000 +0100
@@ -193,7 +193,7 @@
         wait=$((wait - 1))
         resync_pid=$(ps -ef | awk -v dev=$array 'BEGIN { pattern = "^\\[" dev "_resync]$" } $8 ~ pattern { print $2 }')
         if [ -n "$resync_pid" ]; then
-          echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync of $array." >&2
+          [ $quiet -lt 1 ] && echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync of $array." >&2
           ionice -p "$resync_pid" $arg
           break
         fi


It is my understanding that making it depend on --quiet rather than
--cron is more consistent with both other informational messages written
by checkarray and its documentation:

> [...]
> -c|--cron          honour AUTOCHECK setting in /etc/default/mdadm.
> -q|--quiet         suppress informational messages.
> [...]


 Regards

 Florian




-- 
  Florian Hinzmann                         private: mail@fhinzmann.de
                                            Debian: fh@debian.org 
PGP Key / ID: 1024D/B4071A65
Fingerprint : F9AB 00C1 3E3A 8125 DD3F  DF1C DF79 A374 B407 1A65


-- 
  Florian Hinzmann                         private: mail@fhinzmann.de
                                            Debian: fh@debian.org 
PGP Key / ID: 1024D/B4071A65
Fingerprint : F9AB 00C1 3E3A 8125 DD3F  DF1C DF79 A374 B407 1A65




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Sun, 02 Jan 2011 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sun, 02 Jan 2011 16:57:03 GMT) Full text and rfc822 format available.

Message #24 received at 598957@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: "martin f. krafft" <madduck@debian.org>
Cc: 598957@bugs.debian.org
Subject: Re: checkarray: I: selecting idle I/O scheduling class for resync of md0
Date: Sun, 02 Jan 2011 17:53:49 +0100
[Message part 1 (text/plain, inline)]
Hi,

do you plan to upload this fix any time soon (maybe in time for
squeeze)? I got the mail from cron again yesterday and it's really
getting annoying...

Please also take a look at Florian's suggestion[1]. IMHO that's the more
correct fix.

Best regards

Alexander Kurtz

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598957#19
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Mon, 03 Jan 2011 17:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Mon, 03 Jan 2011 17:27:06 GMT) Full text and rfc822 format available.

Message #29 received at 598957@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Alexander Kurtz <kurtz.alex@googlemail.com>
Cc: 598957@bugs.debian.org
Subject: Re: checkarray: I: selecting idle I/O scheduling class for resync of md0
Date: Mon, 3 Jan 2011 18:22:39 +0100
[Message part 1 (text/plain, inline)]
also sprach Alexander Kurtz <kurtz.alex@googlemail.com> [2011.01.02.1753 +0100]:
> do you plan to upload this fix any time soon (maybe in time for
> squeeze)? I got the mail from cron again yesterday and it's really
> getting annoying...

I am sorry, but it's definitely too late for squeeze. Please either
set up a mailfilter or modify your script.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"if you are going to run a rinky-dink distro made by a couple of
 volunteers, why not run a rinky-dink distro made by a lot of
 volunteers?"
                                                    -- jaldhar h. vyas
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Wed, 12 Jan 2011 12:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Wed, 12 Jan 2011 12:45:06 GMT) Full text and rfc822 format available.

Message #34 received at 598957@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: debian-release@lists.debian.org
Cc: martin f krafft <madduck@debian.org>, Florian Hinzmann <fh@debian.org>, 598957@bugs.debian.org
Subject: What are the chances for a one-line-patch for a non-RC bug to still get into squeeze?
Date: Wed, 12 Jan 2011 13:43:07 +0100
[Message part 1 (text/plain, inline)]
Hi,

mdadm has got a bug[1] which makes it send unnecessary mail every month.
Florian Hinzmann <fh@debian.org> suggested[2] a trivial patch:

root@marvin:~# diff -u /usr/share/mdadm/checkarray.20101209.dist.not-quiet /usr/share/mdadm/checkarray
--- /usr/share/mdadm/checkarray.20101209.dist.not-quiet	2010-09-03 11:11:00.000000000 +0200
+++ /usr/share/mdadm/checkarray	2010-12-09 15:29:38.000000000 +0100
@@ -193,7 +193,7 @@
         wait=$((wait - 1))
         resync_pid=$(ps -ef | awk -v dev=$array 'BEGIN { pattern = "^\\[" dev "_resync]$" } $8 ~ pattern { print $2 }')
         if [ -n "$resync_pid" ]; then
-          echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync of $array." >&2
+          [ $quiet -lt 1 ] && echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync of $array." >&2
           ionice -p "$resync_pid" $arg
           break
         fi

This would fix the issue in the same way, in which the problem is
addressed in the rest of the code (attached for reference).

The maintainer thinks[3], that it's too late for squeeze now. Is he
right, or would there be a realistic chance to get this really small,
yet very useful patch still into squeeze?

Best regards

Alexander Kurtz

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598957
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598957#19
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598957#29
[checkarray (application/x-shellscript, attachment)]
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) pending. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Mon, 07 Feb 2011 11:57:19 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Mon, 07 Feb 2011 15:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Wed, 02 Mar 2011 07:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Wed, 02 Mar 2011 07:18:06 GMT) Full text and rfc822 format available.

Message #43 received at 598957@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: "martin f.krafft" <madduck@debian.org>
Cc: 598957@bugs.debian.org
Subject: Re: tagging 598957
Date: Wed, 02 Mar 2011 08:15:01 +0100
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 07.02.2011, 16:24 +0100 schrieb martin f.krafft:
> tags 598957 + pending
> thanks

Any news on this? Some way I can help?

Best regards

Alexander Kurtz

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Sun, 01 May 2011 06:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sun, 01 May 2011 06:39:04 GMT) Full text and rfc822 format available.

Message #48 received at 598957@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: 598957@bugs.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Subject: Re: checkarray: I: selecting idle I/O scheduling class for resync
Date: Sun, 01 May 2011 14:37:46 +0800
It'd really be great to have this bug fixed. If you got 100 servers,
then each month, you receive 100 mail. And you still want to receive
emails from mdadm, in case there's an issue.

I'd really be for having this very trivial fix to reach
squeeze-proposed-updates.

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Sun, 01 May 2011 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sun, 01 May 2011 15:21:03 GMT) Full text and rfc822 format available.

Message #53 received at 598957@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Thomas Goirand <thomas@goirand.fr>
Cc: 598957@bugs.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Subject: Re: checkarray: I: selecting idle I/O scheduling class for resync
Date: Sun, 1 May 2011 17:11:45 +0200
[Message part 1 (text/plain, inline)]
also sprach Thomas Goirand <thomas@goirand.fr> [2011.05.01.0837 +0200]:
> It'd really be great to have this bug fixed. If you got 100 servers,
> then each month, you receive 100 mail. And you still want to receive
> emails from mdadm, in case there's an issue.
> 
> I'd really be for having this very trivial fix to reach
> squeeze-proposed-updates.

Please feel free to prepare an NMU. I am in the middle of a move and
unable to put any time into this. Sorry.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
anyone who says sunshine brings happiness
has never danced in the rain.
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Mon, 02 May 2011 01:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dara Adib <daradib@OCF.Berkeley.EDU>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Mon, 02 May 2011 01:30:02 GMT) Full text and rfc822 format available.

Message #58 received at 598957@bugs.debian.org (full text, mbox):

From: Dara Adib <daradib@OCF.Berkeley.EDU>
To: 598957@bugs.debian.org
Cc: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>, Thomas Goirand <thomas@goirand.fr>
Subject: Re: checkarray: I: selecting idle I/O scheduling class for resync
Date: Sun, 1 May 2011 18:19:29 -0700
I made the same change in our config to this line in
/usr/share/mdadm/checkarray:

-    echo "$PROGNAME: W: array $array in auto-read-only state, skipping..." >&2
+    [ $quiet -lt 1 ] && echo "$PROGNAME: W: array $array in auto-read-only state, skipping..." >&2

We use mdadm with the swap partition, and generally swap is not used, so
the array would be auto-read-only. I consider this also normal.

Dara

-- 
http://www.ocf.berkeley.edu/~daradib/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Mon, 02 May 2011 09:13:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dara Adib <daradib@OCF.Berkeley.EDU>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Mon, 02 May 2011 09:13:10 GMT) Full text and rfc822 format available.

Message #63 received at 598957@bugs.debian.org (full text, mbox):

From: Dara Adib <daradib@OCF.Berkeley.EDU>
To: Florian Hinzmann <mail@fhinzmann.de>
Cc: 598957@bugs.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>, Thomas Goirand <thomas@goirand.fr>
Subject: Re: Bug#598957: checkarray: I: selecting idle I/O scheduling class for resync
Date: Mon, 2 May 2011 01:52:55 -0700
> If auto-read-only state is indeed a normal state, "normal"
> being something like "not a consequence of an error and no
> maintenance state being set manually" then the message
> above should be set to "I:" beside being suppressed with
> "-q" in my opinion.

I would agree with this. If it's a warning it shouldn't be suppressed.
As far as I know though, mdadm marks arrays as auto-read-only only if
it hasn't been written to yet (it automatically changes to read-write
on first write). This is normal for a swap partition if it hasn't been
used.

Dara




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Mon, 02 May 2011 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dara Adib <daradib@OCF.Berkeley.EDU>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Mon, 02 May 2011 18:09:03 GMT) Full text and rfc822 format available.

Message #68 received at 598957@bugs.debian.org (full text, mbox):

From: Dara Adib <daradib@OCF.Berkeley.EDU>
To: 598957@bugs.debian.org
Cc: Florian Hinzmann <mail@fhinzmann.de>, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>, Thomas Goirand <thomas@goirand.fr>
Subject: Re: Bug#598957: checkarray: I: selecting idle I/O scheduling class for resync
Date: Mon, 2 May 2011 11:07:43 -0700
Looks like the message I had replied to didn't reach the bug tracker.

Begin forwarded message:

Date: Mon, 2 May 2011 06:56:50 +0200
From: Florian Hinzmann <mail@fhinzmann.de>
To: Dara Adib <daradib@OCF.Berkeley.EDU>, 598957@bugs.debian.org
Cc: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>,
Thomas Goirand <thomas@goirand.fr>
Subject: Re: Bug#598957: checkarray: I: selecting idle I/O scheduling
class for resync


On Sun, 1 May 2011 18:19:29 -0700
Dara Adib <daradib@OCF.Berkeley.EDU> wrote:

> I made the same change in our config to this line in
> /usr/share/mdadm/checkarray:
> 
> -    echo "$PROGNAME: W: array $array in auto-read-only state,
> skipping..." >&2
> +    [ $quiet -lt 1 ] && echo "$PROGNAME: W: array $array in
> auto-read-only state, skipping..." >&2
> 
> We use mdadm with the swap partition, and generally swap is not used,
> so the array would be auto-read-only. I consider this also normal.  

Without investigating further I think this is not normal. The 
line above is a warning, not an informational message and I 
encountered read-only states only after errors so far.

If auto-read-only state is indeed a normal state, "normal"
being something like "not a consequence of an error and no
maintenance state being set manually" then the message
above should be set to "I:" beside being suppressed with
"-q" in my opinion.


Regards

 Florian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Tue, 03 May 2011 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Tue, 03 May 2011 06:57:03 GMT) Full text and rfc822 format available.

Message #73 received at 598957@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: debian-release@lists.debian.org, martin f krafft <madduck@debian.org>, 598957@bugs.debian.org
Subject: NMU of mdadm for squeeze-proposed-upates
Date: Tue, 03 May 2011 14:52:31 +0800
Hello to the release team!

I would like to upload a fix for #598957 in Squeeze.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598957

It seems that there is a consensus for this fix:

-echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync
of $array." >&2
+[ "$quiet" -lt 1 ] && echo "$PROGNAME: I: selecting $ionice I/O
scheduling class for resync of $array." >&2

I understand that this isn't a RC bug per say. But when you run a large
server farm, receiving a mail from each server every month can really be
annoying. So there must be a huge number of server administrators
annoyed every 1st Sunday of the month by this issue since they upgraded
to Squeeze.

Martin f. Krafft (Madduck) said that he wouldn't be available to manage
the issue (as he is moving home), and already expressed his agreement
for the NMU.

Would the release team accept that I do this tiny modification, and NMU
it to squeeze-proposed-updates, to avoid the useless warning annoyance
sent by email every month?

Looking forward to have your opinion,
Cheers,

Thomas Goirand (zigo)

P.S: I do not intend to fix the issue about the auto-read-only thing
with this upload, unless others make a clear point that it should be,
and that there's a *consensus* about it. Also, it doesn't affect
everyone, while the one scheduling class thing does.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Tue, 03 May 2011 18:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Tue, 03 May 2011 18:09:05 GMT) Full text and rfc822 format available.

Message #78 received at 598957@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Thomas Goirand <zigo@debian.org>
Cc: debian-release@lists.debian.org, martin f krafft <madduck@debian.org>, 598957@bugs.debian.org
Subject: Re: NMU of mdadm for squeeze-proposed-upates
Date: Tue, 3 May 2011 20:04:30 +0200
On Tue, May  3, 2011 at 14:52:31 +0800, Thomas Goirand wrote:

> Hello to the release team!
> 
> I would like to upload a fix for #598957 in Squeeze.
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598957
> 
> It seems that there is a consensus for this fix:
> 
> -echo "$PROGNAME: I: selecting $ionice I/O scheduling class for resync
> of $array." >&2
> +[ "$quiet" -lt 1 ] && echo "$PROGNAME: I: selecting $ionice I/O
> scheduling class for resync of $array." >&2
> 
I don't think that's worth a stable update on its own.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Wed, 04 May 2011 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Wed, 04 May 2011 06:21:03 GMT) Full text and rfc822 format available.

Message #83 received at 598957@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Thomas Goirand <zigo@debian.org>, debian-release@lists.debian.org, 598957@bugs.debian.org
Subject: Re: NMU of mdadm for squeeze-proposed-upates
Date: Wed, 4 May 2011 08:19:01 +0200
[Message part 1 (text/plain, inline)]
also sprach Julien Cristau <jcristau@debian.org> [2011.05.03.2004 +0200]:
> I don't think that's worth a stable update on its own.

It's apparently an inconvenience to our users, and fixable with
a trivial patch. Are there arguments against it going into the next
r-release?

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
*** important disclaimer:
by sending an email to any address, that will eventually cause it to
end up in my inbox without much interaction, you are agreeing that:
 
  - i am by definition, "the intended recipient"
  - all information in the email is mine to do with as i see fit and
    make such financial profit, political mileage, or good joke as it
    lends itself to. in particular, i may quote it on usenet.
  - i may take the contents as representing the views of your company.
  - this overrides any disclaimer or statement of confidentiality that
    may be included on your message.
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Wed, 04 May 2011 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Wed, 04 May 2011 06:39:04 GMT) Full text and rfc822 format available.

Message #88 received at 598957@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: debian-release@lists.debian.org
Cc: 598957@bugs.debian.org
Subject: Re: NMU of mdadm for squeeze-proposed-upates
Date: Wed, 04 May 2011 14:36:08 +0800
----- Original message -----
> also sprach Julien Cristau <jcristau@debian.org> [2011.05.03.2004 +0200]:
> > I don't think that's worth a stable update on its own.
> 
> It's apparently an inconvenience to our users, and fixable with
> a trivial patch. Are there arguments against it going into the next
> r-release?

Let's say you have 500 servers, then you get 500
useless warning emails for no valid reasons. Yes,
that's quite annoying, and I do believe worth an
update for large installations. Patching by had is
even more a 

What's your argument against the update if not
Julien the worthyness, which I believe is a mater
of opinion depending on the number of server one
has to do admin on?

Thomas





Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Mon, 06 Jun 2011 12:03:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Mon, 06 Jun 2011 12:04:18 GMT) Full text and rfc822 format available.

Message #93 received at 598957@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Thomas Goirand <thomas@goirand.fr>, 598957@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#598957: NMU of mdadm for squeeze-proposed-upates
Date: Mon, 6 Jun 2011 12:59:09 +0100
On Wed, May 04, 2011 at 02:36:08PM +0800, Thomas Goirand wrote:
> 
> ----- Original message -----
> > also sprach Julien Cristau <jcristau@debian.org> [2011.05.03.2004 +0200]:
> > > I don't think that's worth a stable update on its own.
> > 
> > It's apparently an inconvenience to our users, and fixable with
> > a trivial patch. Are there arguments against it going into the next
> > r-release?
> 
> Let's say you have 500 servers, then you get 500
> useless warning emails for no valid reasons. Yes,
> that's quite annoying, and I do believe worth an
> update for large installations. Patching by had is
> even more a 
> 
> What's your argument against the update if not
> Julien the worthyness, which I believe is a mater
> of opinion depending on the number of server one
> has to do admin on?

+1 for this patch to be applied in stable. Apart from the inconvenience
of being emailed by all your Debian systems using mdadm once a month,
sending people an email about a normal situation is likely to mean that
people miss the occasion when something isn't normal.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Forcibly Merged 598957 602800 620734. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Mon, 06 Jun 2011 12:10:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Thu, 09 Jun 2011 12:21:07 GMT) Full text and rfc822 format available.

Message #98 received at 598957@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Thomas Goirand <zigo@debian.org>
Cc: debian-release@lists.debian.org, martin f krafft <madduck@debian.org>, 598957@bugs.debian.org
Subject: Re: NMU of mdadm for squeeze-proposed-upates
Date: Thu, 9 Jun 2011 14:19:32 +0200
[Message part 1 (text/plain, inline)]
On Tue, May 03, 2011 at 02:52:31PM +0800, Thomas Goirand wrote:
> I would like to upload a fix for #598957 in Squeeze.

I'd tend to allow it if you show me a successful piuparts run in stable with
the new version (or if I get around to do the same thing).  And, more
importantly, this needs to be fixed in unstable first.

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Wed, 10 Aug 2011 18:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Gokcen <hexetic@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Wed, 10 Aug 2011 18:57:08 GMT) Full text and rfc822 format available.

Message #103 received at 598957@bugs.debian.org (full text, mbox):

From: Tim Gokcen <hexetic@gmail.com>
To: 598957@bugs.debian.org
Subject: NMU of mdadm to unstable
Date: Wed, 10 Aug 2011 14:55:02 -0400
We are running up against this annoyance in our own server sites. So 
far, I am using a dpkg diversion built into one of our own packages to 
replace /usr/share/mdadm/checkarray with a fixed version.

I will probably attempt an NMU to unstable with the fix proposed by zigo 
in message #73, since pkern suggested it might be allowed down into 
stable after a successful puiparts run and some time spent in the 
stomping grounds of unstable.

Of course if anyone else was planning on doing this, go ahead, as I may 
not get to it as soon as I would otherwise like, and this will only be 
my second time doing a Debian upload.

-- 
Tim Gokcen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Sat, 27 Aug 2011 12:57:03 GMT) Full text and rfc822 format available.

Message #106 received at 598957@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 598957@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#598957: NMU of mdadm for squeeze-proposed-upates
Date: Sat, 27 Aug 2011 14:55:50 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 06, 2011 at 12:59:09PM +0100, Dominic Hargreaves wrote:
> +1 for this patch to be applied in stable. Apart from the inconvenience
> of being emailed by all your Debian systems using mdadm once a month,
> sending people an email about a normal situation is likely to mean that
> people miss the occasion when something isn't normal.

This is still unfixed in sid, though.

Kind regards
Philipp Kern 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Tue, 13 Sep 2011 15:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Tue, 13 Sep 2011 15:03:08 GMT) Full text and rfc822 format available.

Message #111 received at 598957@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Philipp Kern <pkern@debian.org>
Cc: 598957@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#598957: NMU of mdadm for squeeze-proposed-upates
Date: Tue, 13 Sep 2011 16:01:12 +0100
[Message part 1 (text/plain, inline)]
On Sat, Aug 27, 2011 at 02:55:50PM +0200, Philipp Kern wrote:
> On Mon, Jun 06, 2011 at 12:59:09PM +0100, Dominic Hargreaves wrote:
> > +1 for this patch to be applied in stable. Apart from the inconvenience
> > of being emailed by all your Debian systems using mdadm once a month,
> > sending people an email about a normal situation is likely to mean that
> > people miss the occasion when something isn't normal.
> 
> This is still unfixed in sid, though.

Indeed so.

In any case, since I have rolled this out on some servers I manage,
I thought I may as well confirm that a patch (attached) adopted from

<http://anonscm.debian.org/gitweb/?p=pkg-mdadm/mdadm.git;a=commit;h=219ef9a6c6a5e6bd1747bca4d13b72ae95ff9512>

applied on squeeze seems to work okay.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[quieten_monthly_check.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#598957; Package mdadm. (Tue, 13 Sep 2011 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Tue, 13 Sep 2011 17:51:03 GMT) Full text and rfc822 format available.

Message #116 received at 598957@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Dominic Hargreaves <dom@earth.li>, 598957@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#598957: NMU of mdadm for squeeze-proposed-upates
Date: Tue, 13 Sep 2011 21:49:02 +0400
On 13.09.2011 19:01, Dominic Hargreaves wrote:
[]
>> This is still unfixed in sid, though.
> 
> Indeed so.
> 
> In any case, since I have rolled this out on some servers I manage,
> I thought I may as well confirm that a patch (attached) adopted from
> 
> <http://anonscm.debian.org/gitweb/?p=pkg-mdadm/mdadm.git;a=commit;h=219ef9a6c6a5e6bd1747bca4d13b72ae95ff9512>
> 
> applied on squeeze seems to work okay.

We're preparing upload of new (upstream) version to unstable.
Once it hits testing we'll request a stable update for squeeze.

Thanks,

/mjt





Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Thu, 15 Sep 2011 07:21:11 GMT) Full text and rfc822 format available.

Notification sent to christian@hofstaedtler.name:
Bug acknowledged by developer. (Thu, 15 Sep 2011 07:21:11 GMT) Full text and rfc822 format available.

Message #121 received at 598957-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 598957-close@bugs.debian.org
Subject: Bug#598957: fixed in mdadm 3.2.2-1
Date: Thu, 15 Sep 2011 07:17:21 +0000
Source: mdadm
Source-Version: 3.2.2-1

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_3.2.2-1_amd64.udeb
  to main/m/mdadm/mdadm-udeb_3.2.2-1_amd64.udeb
mdadm_3.2.2-1.debian.tar.bz2
  to main/m/mdadm/mdadm_3.2.2-1.debian.tar.bz2
mdadm_3.2.2-1.dsc
  to main/m/mdadm/mdadm_3.2.2-1.dsc
mdadm_3.2.2-1_amd64.deb
  to main/m/mdadm/mdadm_3.2.2-1_amd64.deb
mdadm_3.2.2.orig.tar.bz2
  to main/m/mdadm/mdadm_3.2.2.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598957@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 01 Aug 2011 10:41:41 +0200
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source amd64
Version: 3.2.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 mdadm      - tool to administer Linux MD arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD arrays (software RAID) (udeb)
Closes: 595516 598957 604702 605722 610421 611627 611632 615494 618463 618561 621346 625392 628371 633054
Changes: 
 mdadm (3.2.2-1) unstable; urgency=low
 .
   [ martin f. krafft ]
   * New upstream version (closes: #615494), which addresses:
     - --grow option aware of size change of underlying device (closes: #618463)
     - builds with -Werror on gcc-4.6 (closes: #625392).
     - new features/functionality:
       + Policy framework.
       + Improved management of reshaping arrays.
       + Support for Intel Matrix Storage Manager (IMSM)
     Thanks to Scott Schaefer for his help in preparing this release!
   * Do not print io rescheduling info message when run by cron
     (closes: #598957).
   * Fix checkarray script so that it does not die after scheduling the first
     device when there is no scheduling class specified; thanks to Mario
     'BitKoenig' Holbe (closes: #611627).
   * Do not include DEVICE line in generated configs but use the built-in value
     by default (closes: #604702).
   * Make mdadm-raid init script depend on hostname; thanks to Mario
    'BitKoenig' Holbe (closes: #610421).
   * Schedule start/stop of mdadm-raid before/after filesystems are
     checked&mounted/unmounted; thanks to Mario 'BitKoenig' Holbe
     (closes: #611632).
   * Work around a shell coding bug for cases when there are zero active
     devices (closes: #618561).
   * Add NEWS entry about metadata change and requirement on new Grub version
     (closes: #595516).
   * Update mdadd.sh script from Arno's webpage.
   * Update md.txt from latest kernel source.
   * Updated debconf translations:
     - Catalan by Innocent De Marchi (closes: #628371)
     - Danish by Joe Dalton (closes: #621346)
   * Small typo fix in RAID5_versus_RAID10.txt
   * Bump Standards-Version to 3.9.2; no changes required.
 .
   [ Michael Tokarev ]
   * don't print W: auto-read-only in checkarray in quiet mode,
     thanks to Bernd Hanisch for the patch (Closes: #605722)
   * move initscript metadata from /lib/init/rw/.mdadm to /run/mdadm,
     and depend on initscripts (>= 2.88dsf-13.3) for /run (Closes: #633054)
   * move runtime stuff from /dev/.mdadm to /run/mdadm
   * document defaults change in debian/NEWS (it was forgotten to be
     done for squeeze) - metadata & chunk size (Closes: #595516)
Checksums-Sha1: 
 943859c83323631f3b6342e32720b41666322b9b 2190 mdadm_3.2.2-1.dsc
 8ec366a7e7f3ae3a8765d8f43f1d62234a80c698 357234 mdadm_3.2.2.orig.tar.bz2
 5ceadc639033fa656a7292374e4a294d0f1fcf5f 123535 mdadm_3.2.2-1.debian.tar.bz2
 4844110b4da321cc9c2b325537706cf03d77d0b6 536758 mdadm_3.2.2-1_amd64.deb
 47ac5f8c3b3cece7bc5ed20ddce16a9c70ec7aba 180836 mdadm-udeb_3.2.2-1_amd64.udeb
Checksums-Sha256: 
 b3aa33e3f3938aba2cc5056663175c8daa0732091d9a8875abe1debff60b17d4 2190 mdadm_3.2.2-1.dsc
 0d1a04e688b082bc88846e3f524abd50bc782b6ffc06123140f7d358c8f9b906 357234 mdadm_3.2.2.orig.tar.bz2
 9d94d66d79cda1deaaa8e5e68cb203327a5c69b629c9773004b9fb9d618e203e 123535 mdadm_3.2.2-1.debian.tar.bz2
 c23d8f0a7140fbae3a9ffd3dd4a563c21bffe0ec408e1f4f4ae5644413ceda71 536758 mdadm_3.2.2-1_amd64.deb
 0b2a3e56dbff6f4e192b69037ba304418f2813c6ab8dc9315219b9692d2e25dd 180836 mdadm-udeb_3.2.2-1_amd64.udeb
Files: 
 196025705dae8c288d569cb53241f1b9 2190 admin optional mdadm_3.2.2-1.dsc
 12ee2fbf3beddb60601fb7a4c4905651 357234 admin optional mdadm_3.2.2.orig.tar.bz2
 e8f0a9a45f116508eda17ad171514307 123535 admin optional mdadm_3.2.2-1.debian.tar.bz2
 5e48a3f95039af09a4957cdbcdc40090 536758 admin optional mdadm_3.2.2-1_amd64.deb
 eb26e081e822e69e64dd28cf063d0ce3 180836 debian-installer optional mdadm-udeb_3.2.2-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQLvBAEBCgDZBQJOcaKXwBEaaHR0cDovL21hcnRpbi1rcmFmZnQubmV0L2dwZy9z
aWctcG9saWN5LzU1Yzk4ODJkOTk5YmJjYzQvMjAxMTAxMjQxMTI1P3NoYTUxMnN1
bT0xY2FkOTZmZDI3ZDMyMzNmNTNlMjI4NDk1MzM2NDgxMDdlNWVlOGQ1YmU2NTUy
NTFkNzRjOGYxYzVjM2JjNDJmMjMwNGZhNTE1MTUwZjdiZDRkZDA1ZTk4MTk5MjRm
MDQ5NTEzZWU5OTYyY2E3MTcwOWY4MWQ5NDUxNTg1MmJkOAAKCRBVyYgtmZu8xIlD
EACjaBhiT38IYF2rKx8GadkV8hjp5cFdUNSmMV9Mhoy3BefJuTs1YkQH8yYDazA6
XLkBxo1/34vZxyJr7a9+V0JqdDAnDHpUojg10a1T3LMFf5oV/+5HX173HadeWnFT
ZXSmhocb67uDDmq502XSOZYq9JE7RXis2Maf3Ln+gBGdnnWYke3wjr1WIWhMGALW
laPI6AQbMRpd+hdPv1jKvSmgNSPFwJq7OJudOKD+iN78536tP3hLJSbl4Mun8lsH
kjvOe+RcbemfHWLCGnIXbF6xrbnUgz7yiWwAjwZ9Yv/VkGw0sVjETzuGF875sY1P
qXFaxFhSTSglNCBHU6I4XCS0sgD9GuDRmqNPRiuqOouDGbofV9nbYwMt0JVQTyL8
rYQLlsz48dj/rMwQau67x8II89obThGa1vHQvO8XemMmmJhEWJaJZ8x4cmZ+1e/O
6AvUmfT6MiuHZ1phZhRy6gMpPjy0xkrSHeuIyllzz+E9pF4/OBOlrbmRHk0VJOo1
RzTACaD5ZL4OU1LE4QgBwt0ebc0uSiLM05UaEq7NL+UBPcZRqyq5CVyN7DNpBAY7
C4wYCc0Kti6B38SDbCNhmgYQMkQFlmph/t3aOrhLrSLPsQP0pH/349zvoBhganGM
mqXn6HECgy6EysT8wRQyB4C7eNfSB2fQTdAgmExILYf0qg==
=AsIz
-----END PGP SIGNATURE-----





Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Thu, 15 Sep 2011 07:21:12 GMT) Full text and rfc822 format available.

Notification sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug acknowledged by developer. (Thu, 15 Sep 2011 07:21:12 GMT) Full text and rfc822 format available.

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Thu, 15 Sep 2011 07:21:13 GMT) Full text and rfc822 format available.

Notification sent to Elias Duerr <schichtleiter@gmail.com>:
Bug acknowledged by developer. (Thu, 15 Sep 2011 07:21:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Oct 2011 07:33:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:09:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.